Operation Type (for Signing)
Request Body
| Field | Type | Need | Description | Example |
|---|---|---|---|---|
”account” | string | required | User’s wallet address | 42trU9A5… |
“signature” | string | required | Cryptographic signature | 5j1Vy9Uq… |
“timestamp” | integer | required | Current timestamp in milliseconds | 1716200000000 |
”installation_id” | string | required | The browser’s installation ID from Register Web Push subscription | k3Jx9_Qm… |
“expiry_window” | integer | optional | Signature expiry in milliseconds | 30000 |
”agent_wallet” | string | optional | Agent wallet address | 69trU9A5… |
Response
- Status 200: Successfully retrieved the subscription state
| Field | Type | Description |
|---|---|---|
”subscription_id” | UUID or null | Subscription ID. null when “state” is “not_registered" |
"state” | string | Subscription state (see below) |
“vapid_public_key” | string or null | VAPID public key that the subscription was registered with. null when “state” is “not_registered” |
- Status 400: Invalid request parameters or signature. A bad
installation_idreturnserror_idinvalid_notification_device_id - Status 403: The account doesn’t exist. An account exists after its first deposit
- Status 409: Web Push isn’t available (
web_push_disabled) - Status 429: Rate limit exceeded
- Status 500: Internal server error